Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize Class Reference

Expands paragraphs and links embeds of a XML document in legacy ezxml format. More...

Inheritance diagram for eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize:

## Public Member Functions
| __construct (Expanding $expandingConverter, EmbedLinking $embedLinkingConverter)
| Construct from XmlText converters implementation. More...
| convert (DOMDocument $document)
| Converts given $document into another \DOMDocument object. More...

## Protected Attributes
| $expandingConverter
| $embedLinkingConverter

## Detailed Description

Expands paragraphs and links embeds of a XML document in legacy ezxml format.

Relies on XmlText's Expanding and EmbedLinking converters implementation.

Deprecated:
  since version 7.2, to be removed in 8.0. Use eZ\Publish\Core\FieldType\XmlText\Converter\ToRichTextPreNormalize instead. *

Definition at line 21 of file ToRichTextPreNormalize.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize::__construct | ( | Expanding | $expandingConverter,
|  | EmbedLinking | $embedLinkingConverter
| ) |  |

Construct from XmlText converters implementation.

Parameters

  \eZ\Publish\Core\FieldType\XmlText\Converter\Expanding | $expandingConverter |
  \eZ\Publish\Core\FieldType\XmlText\Converter\EmbedLinking | $embedLinkingConverter |

Definition at line 35 of file ToRichTextPreNormalize.php.

References eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize\$embedLinkingConverter, and eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize\$expandingConverter.

## Member Function Documentation

## ◆ convert()

eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize::convert | ( | DOMDocument | $document | ) |

Converts given $document into another \DOMDocument object.

Parameters

  \DOMDocument | $document |

Returns
  \DOMDocument

Implements eZ\Publish\Core\FieldType\RichText\Converter.

Definition at line 48 of file ToRichTextPreNormalize.php.

## Member Data Documentation

## ◆ $embedLinkingConverter

eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize::$embedLinkingConverter
| protected

Definition at line 27 of file ToRichTextPreNormalize.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize\__construct().

## ◆ $expandingConverter

eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize::$expandingConverter
| protected

Definition at line 24 of file ToRichTextPreNormalize.php.

Referenced by eZ\Publish\Core\FieldType\RichText\Converter\Ezxml\ToRichTextPreNormalize\__construct().

The documentation for this class was generated from the following file:

- ToRichTextPreNormalize.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.